## rustc 1.79.0+dfsg1

=== debian/changelog ===
rustc (1.79.0+dfsg1-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE
  [changes introduced in 1.57.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Disable testsuite for arch all builds as well.
  [changes introduced in 1.70.0+dfsg1-7+rpi2 by Peter Micheal Green]
  * Remove max version constraint from wasi-libc build-dependency.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 20 Aug 2024 16:58:51 +0000
