=== debian/control ===
--- 
+++ 
@@ -53,7 +53,6 @@
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
  wasi-libc (>= 0.0~git20240411.9e8c542~~) <!nowasm>,
- wasi-libc (<= 0.0~git20240411.9e8c542++) <!nowasm>,
  clang-17:native,
 Build-Conflicts: gdb-minimal <!nocheck>
 Standards-Version: 4.7.0
@@ -298,3 +297,4 @@
  preserve large-system integrity, availability and concurrency.
  .
  It supports a mixture of imperative procedural, concurrent actor,
+ object-oriented and pure functional styles.  Rust also supports
