=== debian/changelog ===
rustc (1.80.1+dfsg1-1) unstable; urgency=medium

  * upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 04 Sep 2024 20:13:19 +0200

rustc (1.80.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream point release

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 09 Aug 2024 12:03:01 +0200

rustc (1.80.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Build wasi-p2 target
  * Use packaged libonig
  * Update lintian overrides
  * d/control: drop Build-Conflicts on gdb-minimal

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 04 Aug 2024 10:38:52 +0200
