=== debian/rules ===
--- 
+++ 
@@ -145,6 +145,8 @@
 endif
 
 BUILD_WASM := true
+# NOTE: drop wasm32-wasi with next upstream version, it's deprecated and will be removed soon
+WASM_TARGETS := "wasm32-unknown-unknown,wasm32-wasip1,wasm32-wasip2,wasm32-wasi"
 ifneq (,$(findstring nowasm,$(DEB_BUILD_PROFILES)))
   BUILD_WASM := false
 endif
@@ -204,10 +206,3 @@
 
 .PHONY: .dbg-windows
 .dbg-windows:
-	@echo host=$(DEB_BUILD_ARCH) target=$(DEB_HOST_ARCH) BUILD_WINDOWS=$(BUILD_WINDOWS) WINDOWS_ARCH=$(WINDOWS_ARCH)
-
-.PHONY: build
-build:
-	$(SYSTEM_WORKAROUNDS) dh $@ --parallel --with bash-completion
-
-override_dh_clean:
