=== debian/tests/control ===
#Test-Command: ./debian/rules build
#Depends: @builddeps@
#Restrictions: rw-build-tree, allow-stderr
#
Tests: create-and-build-crate
Restrictions: rw-build-tree, allow-stderr, needs-internet
Depends: cargo, ca-certificates
