=== debian/changelog ===
rustc (1.81.0+dfsg1-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.
  [changes introduced in 1.42.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Use the compiler itself rather than dpkg to detect DEB_BUILD_RUST_TYPE
  [changes introduced in 1.57.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Disable testsuite for arch all builds as well.
  [changes introduced in 1.81.0+dfsg1-2+rpi1 by Peter Michael Green]
  * Remove upper limit from wasi-libc dependency.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 20 Aug 2024 16:58:51 +0000

rustc (1.81.0+dfsg1-2) unstable; urgency=medium

  * use system libz-sys even when cross-building (Closes: #1084754)
  * drop no longer needed loongarch64 patch
  * add temporary Breaks to force migration of libgit2

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 08 Oct 2024 14:34:41 +0200

rustc (1.81.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 05 Oct 2024 15:54:29 +0200

rustc (1.81.0+dfsg1-1~exp2) experimental; urgency=medium

  * source: duplicate lintian overrides to make ftp-masters happy
  * cargo wrapper: fix LTO handling (Closes: #1079071)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 05 Oct 2024 15:54:14 +0200

rustc (1.81.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release
  * switch to LLVM 18
  * bump libgit2 to 1.8.1
  * build and install wasm-component-ld for wasm-wasip2
  * make rust-llvm arch:any

  [ Samuel Thibault ]
  * add hurd-amd64 support

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 11 Sep 2024 08:26:59 +0200
