=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
  debhelper-compat (= 13),
  dpkg-dev (>= 1.17.14),
  python3:native,
- cargo:native (>= 1.78.0+dfsg)      <!pkg.rustc.dlstage0>,
- rustc:native (>= 1.78.0+dfsg) <!pkg.rustc.dlstage0>,
- rustc:native (<= 1.79.0++)    <!pkg.rustc.dlstage0>,
- llvm-17-dev:native,
- llvm-17-tools:native,
+ cargo:native (>= 1.80.0+dfsg)      <!pkg.rustc.dlstage0>,
+ rustc:native (>= 1.80.0+dfsg) <!pkg.rustc.dlstage0>,
+ rustc:native (<= 1.81.0++)    <!pkg.rustc.dlstage0>,
+ llvm-18-dev:native,
+ llvm-18-tools:native,
  gcc-mingw-w64-x86-64-posix:native [amd64] <!nowindows>,
  gcc-mingw-w64-i686-posix:native [i386] <!nowindows>,
- libllvm17t64 (>= 1:17.0.0),
- libclang-rt-17-dev:native,
- libclang-rt-17-dev,
+ libllvm18 (>= 1:18.0.0),
+ libclang-rt-18-dev:native,
+ libclang-rt-18-dev,
  cmake (>= 3.0),
 # needed by some vendor crates
  pkgconf:native,
@@ -38,9 +38,10 @@
  libssh2-1-dev,
  libssl-dev,
  libsqlite3-dev,
- libgit2-dev (>= 1.7.2),
- libgit2-dev (<< 1.8~~),
+ libgit2-dev (>= 1.8.1),
+ libgit2-dev (<< 1.9~~),
  libhttp-parser-dev,
+ libonig-dev,
 # test dependencies:
  binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 # temporarily disabled cause of #1066794 / t64 transition
@@ -52,9 +53,10 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
- wasi-libc (>= 0.0~git20240411.9e8c542~~) <!nowasm>,
- clang-17:native,
-Build-Conflicts: gdb-minimal <!nocheck>
+ wasi-libc (>= 0.0~git20240411.9e8c542-4~~) <!nowasm>,
+ clang-18:native,
+# see #1057780, gdb now Conflicts gdb-minimal
+#Build-Conflicts: gdb-minimal <!nocheck>
 Standards-Version: 4.7.0
 Homepage: http://www.rust-lang.org/
 Vcs-Git: https://salsa.debian.org/rust-team/rust.git
@@ -72,7 +74,12 @@
 # llvm is needed for llvm-dwp for -C split-debuginfo=packed
  rust-llvm,
 Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
-Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
+Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~),
+# temporary to force britney to not attempt bogus autopkgtest runs
+ librust-cargo-c-dev (<< 0.10.3-1~),
+ librust-git2-dev (<< 0.19.0-1~),
+ librust-libgit2-sys-dev (<< 0.17.0-1~),
+ librust-debcargo-dev (<< 2.7.1-2~),
 Description: Rust systems programming language
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -86,7 +93,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.79
+Package: libstd-rust-1.81
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -113,7 +120,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libstd-rust-1.79 (= ${binary:Version}),
+ libstd-rust-1.81 (= ${binary:Version}),
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -165,7 +172,7 @@
 # Embeds wasi-libc so doesn't need to depend on it
 # None of its licenses require source redistrib, so no need for Built-Using
 Recommends:
- lld-17, clang-17,
+ lld-18, clang-18,
 Suggests:
 # nodejs contains wasi-node for running the program
  nodejs (>= 12.16),
@@ -185,7 +192,7 @@
  .
  This package contains the standard Rust libraries including development files,
  needed to cross-compile Rust programs to the wasm32-unknown-unknown and
- wasm32-wasi targets.
+ wasm32-wasip1/wasm32-wasip2 targets.
 
 Package: rust-gdb
 Architecture: all
@@ -211,7 +218,7 @@
 Package: rust-lldb
 Architecture: all
 # When updating, also update rust-lldb.links
-Depends: lldb-17, ${misc:Depends}, python3-lldb-17
+Depends: lldb-18, ${misc:Depends}, python3-lldb-18
 Replaces: rustc (<< 1.1.0+dfsg1-1)
 Description: Rust debugger (lldb)
  Rust is a curly-brace, block-structured expression language.  It
@@ -230,7 +237,7 @@
  invoking lldb on rust binaries.
 
 Package: rust-llvm
-Architecture: all
+Architecture: any
 Breaks:
  rustc (<< 1.71.1+dfsg1-1~exp1),
  rustc-web (<< 1.71.1+dfsg1-1~exp1),
@@ -239,12 +246,11 @@
  rustc (<< 1.71.1+dfsg1-1~exp1),
  rustc-web (<< 1.71.1+dfsg1-1~exp1),
  rustc-mozilla (<< 1.71.1+dfsg1-1~exp1),
-Depends:
- ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},
 # lld and clang are needed for wasm compilation
- lld-17, clang-17,
+ lld-18, clang-18,
 # llvm is needed for llvm-dwp for split-debuginfo=packed
- llvm-17
+ llvm-18
 Description: Rust LLVM integration
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
@@ -259,7 +265,7 @@
  styles.
  .
  This package contains symlinks for integration with LLVM tools such as lld and
- grcov.
+ grcov, and the wasm-component-ld helper binary for the wasm-wasip2 target.
 
 Package: rust-doc
 Section: doc
@@ -291,10 +297,3 @@
 Description: Rust systems programming language - source code
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
- in syntactic and semantic details.  Its design is oriented toward
- concerns of "programming in the large", that is, of creating and
- maintaining boundaries - both abstract and operational - that
- preserve large-system integrity, availability and concurrency.
- .
- It supports a mixture of imperative procedural, concurrent actor,
- object-oriented and pure functional styles.  Rust also supports
