=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 
 # Use system LLVM (comment out to use vendored LLVM)
-LLVM_VERSION = 17
-OLD_LLVM_VERSION = 16
+LLVM_VERSION = 18
+OLD_LLVM_VERSION = 17
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
 # Make it easier to test against a custom LLVM
